@import "../base/Variables.scss";
@import "../Widgets/breadcrumbs.scss";

.faq {
    @include breakpoint(mobile) {
        margin-bottom: 10px;
    }
    &__content {
        @include breakpoint(mobile) {
            padding-top: 10%;
        }
        @include breakpoint(wide) {
            padding-top: 7vh;
        }        position: relative;
        &-back {
            font-family: "GothamRounded-Bold";
            font-size: 16px;
            font-weight: bold;
            line-height: 17px;
            color: #00a6dc;
            i {
                margin-right: 10px;
            }
            &:hover {
                text-decoration: none;
            }
        }
        &-icon {
            font-family: "GothamRounded-Bold";
            a {
                display: flex;

                &:hover {
                    text-decoration: none;
                }
            }
            span {
                color: rgba(0, 158, 255, 0.7);
                font-size: 20px;
                line-height: 31px;
                margin-left: 10px;
                display: block;
            }
            .icon-border {
                width: 30px;
                height: 30px;
                background: rgba(0, 158, 255, 0.7);
                border-radius: 40px;
                padding: 5px;
                .fa {
                    color: #fff;
                    font-size: 20px;
                }
            }
        }
        &-head {
            margin-bottom: 36px;
            margin-top: 15px;
            h2 {
                color: #29368d;
                font-family: "GothamRounded-Bold";
                @include breakpoint(mobile) {
                    font-size: 23px;
                }
                @include breakpoint(wide) {
                    font-size: 32px;
                }
                text-align: center;
            }
            .form-group-search {
                height: 69px;
                border: 3px solid #283988;
                border-radius: 30px;
                font-family: "Gotham Rounded, Medium";
                padding: 8px 20px 8px 20px;
                display: flex;
                input {
                    border: 0px;
                    text-align: left;
                    letter-spacing: 0px;
                    color: #6f6f6e;
                    opacity: 1;
                    font-size: 27px;
                    font-family: "GothamRounded-Book";
                    background: transparent;
                    width: 100%;
                }
            }
        }
        &-body {
            .parent-accord {
                margin-top: 36px;
                &__item {
                    position: relative;

                    a {
                        &:hover {
                            text-decoration: none;
                        }
                    }
                    &-head {
                        padding-left: 31px;
                        padding-right: 31px;
                        border-bottom: 2px solid #29368d;
                        color: #29368d;
                        @-moz-document url-prefix() {
                            @include breakpoint(wide) {
                                text-align: center;
                            }
                        }
                        h3 {
                            color: #29368d;
                            font-family: "GothamRounded-Bold";
                            line-height: 26.4px;
                            @include breakpoint(wide) {
                                font-size: 20px;
                                display: block;
                                white-space: nowrap;
                                overflow: hidden;
                                text-overflow: ellipsis;
                                height: 23px;
                            }
                            @include breakpoint(mobile) {
                                font-size: 20px;
                            }
                        }
                    }
                    &-body {
                        padding-right: 31px;
                        padding-left: 31px;
                        padding-bottom: 26px;
                        display: flex;
                        position: relative;
                        p {
                            color: #29368d;
                            font-family: "GothamRounded-Book";
                            @include breakpoint(mobile) {
                                font-size: 16px;
                            }
                            @include breakpoint(wide) {
                                font-size: 16px;
                            }
                            line-height: 26.4px;
                            padding-top: 10px;
                            margin: 0px;
                        }
                        .arrow {
                            position: absolute;
                            right: 5px;
                            top: 30px;
                            strong {
                                @include breakpoint(wide) {
                                    font-size: 18px;
                                    line-height: 1;
                                }
                                @include breakpoint(mobile) {
                                    font-size: 16px;
                                    line-height: 1;
                                }
                            }

                            img {
                                width: 21px;
                                height: 10px;
                            }
                        }
                    }
                }
            }
        }
    }
}

.faq-detail {
    @include breakpoint(wide) {
        margin-bottom: 55px;
    }
    @include breakpoint(mobile) {
        margin-bottom: 85px;
    }
    &__content {
        position: relative;
        @include breakpoint(mobile) {
            padding-top: 10%;
        }
        @include breakpoint(wide) {
            padding-top: 7vh;
        }
        &-back {
            font-family: "GothamRounded-Bold";
            font-size: 16px;
            font-weight: bold;
            line-height: 17px;
            color: #00a6dc;
            i {
                margin-right: 10px;
            }
            &:hover {
                text-decoration: none;
            }
        }
        &-icon {
            font-family: "GothamRounded-Bold";
            a {
                display: flex;

                &:hover {
                    text-decoration: none;
                }
            }
            span {
                color: rgba(0, 158, 255, 0.7);
                font-size: 18px;
                line-height: 30px;
                margin-left: 10px;
                display: block;
            }
            .icon-border {
                width: 30px;
                height: 30px;
                background: rgba(0, 158, 255, 0.7);
                border-radius: 40px;
                padding: 5px;
                .fa {
                    color: #fff;
                    font-size: 20px;
                }
            }
        }
        &-head {
            margin-bottom: 25px;
            margin-top: 15px;
            h2 {
                color: #29368d;
                font-family: "GothamRounded-Bold";
                font-size: 42px;
                text-align: center;
            }
            .form-group-search {
                height: 69px;
                border: 3px solid #283988;
                border-radius: 30px;
                font-family: "Gotham Rounded, Medium";
                padding: 8px 20px 8px 20px;
                display: flex;
                input {
                    border: 0px;
                    text-align: left;
                    letter-spacing: 0px;
                    color: #6f6f6e;
                    opacity: 1;
                    font-size: 27px;
                    font-family: "GothamRounded-Book";
                    background: transparent;
                    width: 100%;
                }
            }
        }
        .head {
            padding-left: 31px;
            padding-right: 31px;
            border-bottom: 2px solid #29368d;
            text-align: center;
            h2 {
                color: #29368d;
                font-family: "GothamRounded-Bold";
                line-height: 26.4px;
                @include breakpoint(wide) {
                    font-size: 24px;
                }
                @include breakpoint(mobile) {
                    font-size: 20px;
                }
            }
        }
        .accordion {
            .ui-state-active {
                .arrow {
                    img {
                        transform: rotate(180deg) !important;
                        width: 21px;
                        height: 10px;
                    }
                }
            }
            .ui-accordion-content-active {
                display: block !important;
                height: auto !important;
            }
            &-title {
                padding-left: 31px;
                padding-right: 31px;
                border-bottom: 2px solid #29368d;
                display: flex;
                padding-top: 23px;
                padding-bottom: 23px;
                cursor: pointer;
                position: relative;

                .arrow {
                    position: absolute;
                    right: 5px;
                    top: 30px;

                    img {
                        width: 21px;
                        height: 10px;
                    }
                }

                span {
                    color: #29368d;
                    font-family: "GothamRounded-Medium";
                    line-height: 26.4px;
                    display: block;
                    @include breakpoint(wide) {
                        font-size: 18px;
                    }
                    @include breakpoint(mobile) {
                        font-size: 18px;
                    }
                }
            }
            &-body {
                padding-right: 31px;
                padding-left: 31px;
                display: none;
                p {
                    color: #29368d;
                    font-family: "GothamRounded-Book";
                    margin-bottom: 0px;
                    font-size: 16px;

                    line-height: 26.4px;
                    padding-top: 10px;
                }
            }
        }
    }
}
